Skip to main content
POST
/
referenceCatalog
/
v1
cURL
curl --request POST \
  --url https://aodocs.altirnao.com/api/referenceCatalog/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createdAt": 123,
  "id": "<string>",
  "kind": "<string>",
  "levelNames": [
    "<string>"
  ],
  "modifiedAt": 123,
  "name": "<string>",
  "numberOfValues": 123
}
'
{
  "createdAt": 123,
  "id": "<string>",
  "kind": "<string>",
  "levelNames": [
    "<string>"
  ],
  "modifiedAt": 123,
  "name": "<string>",
  "numberOfValues": 123
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

securityCode
string

The security code

domain
string

The G Suite domain

Body

application/json
createdAt
integer<int64>

The timestamp (in ms) at which the catalog was created (read-only field)

id
string

The ID of the reference catalog (read-only field)

kind
string
levelNames
string[]

Ordered name of levels of the reference catalog

modifiedAt
integer<int64>

The timestamp (in ms) at which the catalog was last modified (read-only field)

name
string

The name of the reference catalog

numberOfValues
integer<int32>

The number of values in the reference catalog (read-only field)

Response

200 - application/json

A ApiReferenceCatalog response

createdAt
integer<int64>

The timestamp (in ms) at which the catalog was created (read-only field)

id
string

The ID of the reference catalog (read-only field)

kind
string
levelNames
string[]

Ordered name of levels of the reference catalog

modifiedAt
integer<int64>

The timestamp (in ms) at which the catalog was last modified (read-only field)

name
string

The name of the reference catalog

numberOfValues
integer<int32>

The number of values in the reference catalog (read-only field)